Subject: Re: [PATCH 02/20] staging: wfx: add support for I/O access

From: Jerome Pouiller <[email-masked]>
Date: Wed, 2 Oct 2019 16:29:09 +0000

On Thursday 19 September 2019 18:34:48 CEST Andrew Lunn wrote:
> On Thu, Sep 19, 2019 at 10:52:35AM +0000, Jerome Pouiller wrote:
> > +static int wfx_sdio_copy_from_io(void *priv, unsigned int reg_id,
> > +                              void *dst, size_t count)
> > +{
> > +     struct wfx_sdio_priv *bus = priv;
> > +     unsigned int sdio_addr = reg_id << 2;
> > +     int ret;
> > +
> > +     BUG_ON(reg_id > 7);
> 
> Hi Jerome
> 
> BUG_ON should only be used when the system is corrupted, and there is
> no alternative than to stop the machine, so it does not further
> corrupt itself. Accessing a register which does not exist is not a
> reason the kill the machine. A WARN() and a return of -EINVAL would be
> better.

Hi Andrew,

I did not forget your suggestion. However, if everyone is agree with that, I'd 
prefer to address it in a next pull request. Indeed, I'd prefer to keep this 
version in sync with version 2.3.1 published on github.

-- 
Jérôme Pouiller